View Issue Details

IDProjectCategoryView StatusLast Update
0029747Open CASCADEOCCT:Inspectorspublic2018-07-05 10:06
Reporternds Assigned Toabv  
PrioritynormalSeverityfeature 
Status closedResolutionfixed 
Target Version7.3.0Fixed in Version7.3.0 
Summary0029747: Samples - Inspector tool - start DFBrowser inside FuncDemo qt sample
DescriptionFuncDemo sample demonstrates OCAF Function mechanizm.

It might be helpful to see the fullfilled structure of the document inside this sample.

At the same time it would be a point of demonstrating how to use Inspector tool in a custom Qt-based application.

Steps To Reproducestart.bat FuncDemo
Click Model->DFBrowser
Call popup menu on 0: item in tree view
Result: all items of the tree are expanded
Select TDataStd_Real [2] under 0:1:1 1 item
Result: in property panel we have: Get 2

Click Model->Model 2
Activate DFBrowser(just click on it)
Call <F5>
Result: we have Select TDataStd_RealArray [-50, -50, 0] attribute under 0:1:1 P1 item
Result: in property panel we have two filled tables.

TagsNo tags attached.
Test case numberNot needed

Activities

git

2018-05-08 19:56

administrator   ~0075904

Branch CR29747 has been created by nds.

SHA-1: 77b5ebb740e8e88620219bcc65c1d4eb49103171


Detailed log of new commits:

Author: nds
Date: Tue May 8 19:56:11 2018 +0300

    0029747: Samples - Inspector tool - start DFBrowser inside FuncDemo qt sample
    
    new Model->DFBrowser action to start Inspector tool with active DFBrowser plugin filled by the sample OCAF application.
    To update content of the DFBrowser, use <F5> shortcut.

nds

2018-05-08 20:05

developer   ~0075905

Could you please review modifications and decide whether this functionality is useful for this sample.

nds

2018-05-10 09:22

developer   ~0075913

http://jenkins-test-11.nnov.opencascade.com/view/CR29747-master-NDS/

bugmaster

2018-05-23 11:15

administrator   ~0076142

Combination -
OCCT branch : CR29747 SHA - 77b5ebb740e8e88620219bcc65c1d4eb49103171
Products branch : master SHA - 300cf879a836fb8a5c4636713070ca9cf544749f
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 18353.58999999984 / 18243.73999999987 [+0.60%]
Products
Total CPU difference: 7513.930000000061 / 7505.440000000054 [+0.11%]
Windows-64-VC10:
OCCT
Total CPU difference: 18040.51724359838 / 18049.78370299853 [-0.05%]
Products
Total CPU difference: 7698.134546699944 / 7697.713343999945 [+0.01%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2018-05-24 18:13

administrator   ~0076286

Branch CR29747 has been deleted by kgv.

SHA-1: 77b5ebb740e8e88620219bcc65c1d4eb49103171

Related Changesets

occt: master ed667b90

2018-05-08 16:56:11

abv


Committer: abv Details Diff
0029747: Samples - Inspector tool - start DFBrowser inside FuncDemo qt sample

new Model->DFBrowser action to start Inspector tool with active DFBrowser plugin filled by the sample OCAF application.
To update content of the DFBrowser, use <F5> shortcut.
Affected Issues
0029747
mod - samples/qt/FuncDemo/CMakeLists.txt Diff File
mod - samples/qt/FuncDemo/src/mainwindow.cpp Diff File
mod - samples/qt/FuncDemo/src/mainwindow.h Diff File

Issue History

Date Modified Username Field Change
2018-05-08 19:38 nds New Issue
2018-05-08 19:38 nds Assigned To => nds
2018-05-08 19:48 nds Description Updated
2018-05-08 19:56 git Note Added: 0075904
2018-05-08 20:05 nds Note Added: 0075905
2018-05-08 20:05 nds Assigned To nds => vro
2018-05-08 20:05 nds Status new => resolved
2018-05-08 20:05 nds Steps to Reproduce Updated
2018-05-10 09:22 nds Note Added: 0075913
2018-05-10 10:10 vro Assigned To vro => bugmaster
2018-05-10 10:10 vro Status resolved => reviewed
2018-05-23 11:15 bugmaster Note Added: 0076142
2018-05-23 11:15 bugmaster Status reviewed => tested
2018-05-23 12:29 bugmaster Test case number => Not needed
2018-05-24 16:02 abv Changeset attached => occt master ed667b90
2018-05-24 16:02 abv Assigned To bugmaster => abv
2018-05-24 16:02 abv Status tested => verified
2018-05-24 16:02 abv Resolution open => fixed
2018-05-24 18:13 git Note Added: 0076286
2018-06-29 21:13 aiv Fixed in Version => 7.3.0
2018-06-29 21:19 aiv Status verified => closed
2018-07-05 10:06 abv Category OCCT:Samples => OCCT:Inspectors